Skip to main content
POST
/
v1
/
objects
/
{identifier}
/
attributes
/
{attribute}
/
options
Create an attribute option
curl --request POST \
  --url https://api.connect-crm.com/v1/objects/{identifier}/attributes/{attribute}/options \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "sort_order": 1
}
'
{
  "data": {
    "archived_at": "2024-09-04T20:45:09Z",
    "id": {
      "option_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10",
      "attribute_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10",
      "object_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10",
      "workspace_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10"
    },
    "sort_order": 1,
    "title": "Option 1"
  }
}

Path Parameters

identifier
string
required

A UUID or slug to identify the object.

attribute
string<uuid>
required

A UUID or slug to identify the attribute.

optionId
string<uuid>
required

A UUID to identify the attribute option.

Body

application/json
title
string
required

The name of the attribute option.

sort_order
number
required

The sort order of the attribute option.

Example:

1

Response

Success

data
object
required